# Detect the distribution in use
%global __despace head -n 1 | tr -d '[:space:]' | sed -e 's/[(].*[)]//g'
%global __lower4 cut -c 1-4 | tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(sed -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(sed -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS Linux and Scientific Linux as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "cl" || "%{__distinit}" == "sl" || "%{__distinit}" == "sls"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

# perl_vendorlib/perl_vendorarch not defined by default prior to F-2
%{!?perl_vendorlib: %global perl_vendorlib %(eval "`perl -V:installvendorlib`"; echo $installvendorlib)}

Name:		perl-ExtUtils-ParseXS
Epoch:		1
Version:	2.2206
Release:	1.%{__distinit}%{__distvers}
Summary:	Module and a script for converting Perl XS code into C code
Group:		Development/Libraries
License:	GPL+ or Artistic
URL:		http://search.cpan.org/dist/ExtUtils-ParseXS/
Source0:	http://search.cpan.org/CPAN/authors/id/D/DA/DAGOLDEN/ExtUtils-ParseXS-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(id -nu)
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::CBuilder), perl(ExtUtils::MakeMaker), perl(Test::More)
Requires:	perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))

%description
ExtUtils::ParseXS will compile XS code into C code by embedding the constructs
necessary to let C functions manipulate Perl values and creates the glue
necessary to let Perl access those functions.

%prep
%setup -q -n ExtUtils-ParseXS-%{version}%{?extraversion}

# Fix perl interpreter in xsubpp
sed -i -e 's|\./miniperl|/usr/bin/perl|' lib/ExtUtils/xsubpp
chmod -c +x lib/ExtUtils/xsubpp

%build
perl Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -depth -type d -exec rmdir {} ';' 2>/dev/null
chmod -R u+w %{buildroot}

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/ExtUtils/
%{_mandir}/man3/ExtUtils::ParseXS.3pm*

%changelog
* Thu Aug  4 2011  Paul Howarth <paul@city-fan.org> 1:2.2206-1
- Rebuild as version 2.2206; this is the last version that will work with 5.8.0
- Don't use %%{_fixperms} macro to placate rpmlint about xsubpp's permissions

* Fri Jun 24 2011 Paul Howarth <paul@city-fan.org> 1:2.22-10
- Rebuild for perl 5.14.1 in Rawhide
- Nobody else likes macros for commands
- Fix dist tag for CentOS 6 and Scientific Linux

* Mon Jul  5 2010 Paul Howarth <paul@city-fan.org> 1:2.22-9
- Update to 2.2206
 - Make xsubpp accept the _ prototype (CPAN RT#57157)
 - INCLUDE_COMMAND portability fixes for VMS (CPAN RT#58181)
 - INCLUDE_COMMAND fixes to detect non-zero exit codes (CPAN RT#52873)

* Wed Jun 23 2010 Paul Howarth <paul@city-fan.org> 1:2.22-8
- Rebuild for perl 5.12.1 in Rawhide

* Mon Jun  7 2010 Paul Howarth <paul@city-fan.org> 1:2.22-7
- Fix dist tag for RHEL-6 Beta

* Thu Mar 11 2010 Paul Howarth <paul@city-fan.org> 1:2.22-6
- Update to 2.2205 (don't ship with Build.PL, avoiding circular dependency)

* Wed Mar 10 2010 Paul Howarth <paul@city-fan.org> 1:2.22-5
- Update to 2.2204 (downgraded warnings on using INCLUDE with a command from
  "deprecated" to "discouraged" and limited it to the case where the command
  includes "perl")

* Fri Feb 12 2010 Paul Howarth <paul@city-fan.org> 1:2.22-4
- Update to 2.2203 (Build.PL wasn't including ExtUtils/xsubpp for installation)

* Thu Jan 28 2010 Paul Howarth <paul@city-fan.org> 1:2.22-3
- Update to 2.2202 (previous fix to IN/OUT/OUTLIST was itself broken)
- Use %%{_fixperms} rather than our own %%{__chmod} incantation

* Tue Jan 26 2010 Paul Howarth <paul@city-fan.org> 1:2.22-2
- Update to 2.2201 (IN/OUT/OUTLIST, etc. were broken due to a bad regexp)

* Tue Jan 12 2010 Paul Howarth <paul@city-fan.org> 1:2.22-1
- Update to 2.22
  - new 'INCLUDE_COMMAND' directive
  - workaround for empty newXS macro found in P5NCI
- Dist tag for Rawhide no longer needs special-casing

* Tue Oct  6 2009 Paul Howarth <paul@city-fan.org> 1:2.21-1
- Update to 2.21 (see Changes for details)

* Fri Oct  2 2009 Paul Howarth <paul@city-fan.org> 1:2.20-4
- Update to 2.200403 (RPM version unchanged due to rpm/perl versioning issues)
  - remove PERL_CORE specific @INC manipulation (no longer needed)
  - change hard-coded $^H manipulation in favor of "use re 'eval'"
  - UNITCHECK subroutines were not being called

* Tue Sep 15 2009 Paul Howarth <paul@city-fan.org> 1:2.20-3
- Update to 2.200401 (RPM version unchanged due to rpm/perl versioning issues)
 - change install_dirs to 'core' for 5.8.9 as well (RT#48474)
 - remove t/bugs.t until there is better C++ support in ExtUtils::CBuilder
 - update repository URL in META file
 - fix "const char *" errors for 5.8.8 (and older) (RT#48104)
 - add newline before a preprocessor directive (RT#30673)

* Mon Jul 27 2009 Paul Howarth <paul@city-fan.org> 1:2.20-2
- Update to 2.2002 (RPM version unchanged due to rpm/perl versioning issues)
  - fix Makefile.PL installdirs for older perls
  - fix XSUsage prototypes for testing

* Thu Jul  2 2009 Paul Howarth <paul@city-fan.org> 1:2.20-1
- Update to 2.20
- New upstream maintainer -> new source URL
- Buildreq perl(Test::More)

* Tue May  5 2009 Paul Howarth <paul@city-fan.org> 1:2.19-1
- Bump epoch to 1 as per Fedora version
- Update to SLES-compatible dist tag macros

* Thu Nov 13 2008 Paul Howarth <paul@city-fan.org> 2.19-2
- Tweak dist tag macros to work on current Rawhide with three-part releasenum
- Change perl interpreter for xsubpp from "\./miniperl" to %%{__perl}

* Mon Feb 18 2008 Paul Howarth <paul@city-fan.org> 2.19-1
- Update to 2.19
- Clarify license as GPL version 1 or later, or Artistic (i.e. same as perl)

* Mon Apr 30 2007 Paul Howarth <paul@city-fan.org> 2.18-2
- Import from Fedora Extras
- Use search.cpan.org download URL
- Add buildreq perl(EXtUtils::MakeMaker)
- Remove compiler optimization flag settings, redundant for noarch package
- Macro-ize commands where possible, hardcode paths elsewhere

* Tue Jan 30 2007 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.18-1
- Update to 2.18.

* Wed Nov 22 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.17-1
- Update to 2.17.

* Sat Sep 16 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.16-1
- Update to 2.16.

* Thu Sep  7 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.15-3
- Rebuild for FC6.

* Wed Feb 15 2006 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.15-2
- Rebuild for FC5 (perl 5.8.8).

* Tue Oct 11 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.15-1
- Update to 2.15.

* Fri Oct  7 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.13-1
- Update to 2.13.

* Thu Aug 25 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.12-1
- Update to 2.12.

* Tue Jun 14 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.11-1
- Update to 2.11.

* Tue Jun  7 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.10-1
- Update to 2.10.
- Add dist tag.

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.09-2
- rebuilt

* Tue Mar 29 2005 Jose Pedro Oliveira <jpo at di.uminho.pt> - 2.09-1
- Update to 2.09.

* Sat May 15 2004 Jose Pedro Oliveira <jpo at di.uminho.pt> - 0:2.08-0.fdr.2
- Avoid creation of the perllocal.pod file (make pure_install).

* Sun Apr 25 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.08-0.fdr.1
- Update to 2.08.
- Require perl(:MODULE_COMPAT_*).

* Mon Jan 26 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.07-0.fdr.1
- Update to 2.07.

* Sat Dec 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.06-0.fdr.1
- Update to 2.06.

* Tue Sep 30 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.05-0.fdr.1
- Update to 2.05.

* Thu Sep  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.04-0.fdr.1
- Update to 2.04.

* Thu Sep  4 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.03-0.fdr.1
- First build.
